Skip to main content
GET
/
v1
/
gateways
/
{gateway_id}
/
auths
/
{id}
Get an auth
curl --request GET \
  --url https://agentgateway-admin.dev.neuraltrust.ai/v1/gateways/{gateway_id}/auths/{id} \
  --header 'Authorization: <api-key>'
{
  "api_key": "<string>",
  "config": {
    "idp": {
      "allowed_algorithms": [
        "<string>"
      ],
      "audiences": [
        "<string>"
      ],
      "issuer": "<string>",
      "jwks_url": "<string>",
      "public_keys": [
        "<string>"
      ],
      "required_scopes": [
        "<string>"
      ],
      "subject_claim": "<string>"
    },
    "mtls": {
      "allowed_common_names": [
        "<string>"
      ],
      "allowed_dns_names": [
        "<string>"
      ],
      "allowed_fingerprints": [
        "<string>"
      ],
      "ca_cert": "<string>"
    },
    "oauth2": {
      "allowed_algorithms": [
        "<string>"
      ],
      "audiences": [
        "<string>"
      ],
      "client_id": "<string>",
      "client_secret": "<string>",
      "introspection_url": "<string>",
      "issuer": "<string>",
      "jwks_url": "<string>",
      "required_scopes": [
        "<string>"
      ]
    }
  },
  "created_at": "<string>",
  "enabled": true,
  "gateway_id": "<string>",
  "id": "<string>",
  "name": "<string>",
  "type": "<string>",
  "updated_at": "<string>"
}

Authorizations

Authorization
string
header
required

Path Parameters

gateway_id
string<uuid>
required

Gateway id

id
string<uuid>
required

Auth id

Response

OK

api_key
string

#nosec G101

config
object
created_at
string
enabled
boolean
gateway_id
string
id
string
name
string
type
string
updated_at
string